%global momorel 6
Name: htmlview
Version: 3.0.0
Release: %{momorel}m%{?dist}
Summary: A script which calls an installed HTML viewer.
License: Public Domain
Source: htmlview
Source1: launchmail
Source2: launchterm
Source3: htmlview.desktop
Source4: launchmail.desktop
Source5: launchterm.desktop
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

%description
The htmlview utility uses an installed and preferred HTML viewer to
display a local HTML page. It is used by several configuration tools
to display their help pages.

%prep
%install
mkdir -p %{buildroot}%{_bindir}
install -c -m 755 %{SOURCE0} %{buildroot}%{_bindir}
install -c -m 755 %{SOURCE1} %{buildroot}%{_bindir}
install -c -m 755 %{SOURCE2} %{buildroot}%{_bindir}

# desktop files
mkdir -p %{buildroot}%{_datadir}/desktop-menu-patches/
install -c -m 644 %{SOURCE3} %{buildroot}%{_datadir}/desktop-menu-patches/
install -c -m 644 %{SOURCE4} %{buildroot}%{_datadir}/desktop-menu-patches/
install -c -m 644 %{SOURCE5} %{buildroot}%{_datadir}/desktop-menu-patches/

mkdir -p %{buildroot}%{_datadir}/applications
ln -sf ../desktop-menu-patches/htmlview.desktop \
  %{buildroot}%{_datadir}/applications/htmlview.desktop


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/htmlview
%{_bindir}/launchmail
%{_bindir}/launchterm
%{_datadir}/desktop-menu-patches/*.desktop
%{_datadir}/applications/htmlview.desktop

%changelog
* Fri May 19 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (3.0.0-6m)
- update htmlview
- update launchmail

* Mon Apr 18 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (3.0.0-5m)
- fix typo (htmlview.desktop)

* Sat Apr  9 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (3.0.0-4m)
- add launchmail(SOURCE1) and launchterm(SOURCE2)
- add desktop file (SOURCE3-5)
- GNOME top panel launchar

* Tue May 11 2004 Toru Hoshina <t@momonga-linux.org>
- (3.0.0-3m)
- import from FC.

* Sat Apr 17 2004 Warren Togami <wtogami@redhat.com> 3.0.0-3
- mimic gnome-open if available, otherwise fallback to old htmlview behavior
- fix error handling (karsten)

* Fri Apr 16 2004 Warren Togami <wtogami@redhat.com> 2.0.0-13
- read http instead of unknown key

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Oct 21 2003 Matt Wilson <msw@redhat.com> 2.0.0-11
- add epiphany (#106255)

* Sun Oct 19 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add a %%clean specfile target

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec  6 2002 Tim Waugh <twaugh@redhat.com> 2.0.0-9
- Be gconf-aware; use the 'preferred applications' setting.

* Tue Oct  8 2002 Mike A. Harris <mharris@redhat.com> 2.0.0-7
- All-arch rebuild
- Change {prefix}/bin and {prefix}/share to _bindir, _datadir, etc..

* Thu Aug 22 2002 Christopher Blizzard <blizzard@redhat.com> 2.0.0-6
- Use an absolute symlink so that you can drag and drop the .desktop
  entry.

* Fri Aug 09 2002 Christopher Blizzard <blizzard@redhat.com> 2.0.0-5
- Prefer Mozilla over galeon
- Include link to redhat-web.desktop

* Fri Aug 09 2002 Phil Knirsch <pknirsch@redhat.com> 2.0.0-4
- Updated to start the first look for the GENERIC browers and terms (#68848)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 2.0.0-3
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com> 2.0.0-2
- automated rebuild

* Mon Jan 21 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.0.0-1
- Allow /etc/htmlview.conf and ~/.htmlviewrc files to allow users to
  pick their preferred browsers.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Aug 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.2.0-1
- Add Galeon to the list of known browsers, prefer Mozilla over
  Konqueror if in gnome (#52137)

* Wed Mar  7 2001 Bill Nottingham <notting@redhat.com>
- add a license note to the script

* Tue Jan  9 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.1.0:
  - Add konqueror to the list of known browsers
  - Add support for remote URLs (so we can use this for licq, as well)
  - Some cleanups

* Tue Sep 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial rpm
